package cz.zweistein.gw.predictor;

import java.util.List;

import org.apache.log4j.Logger;

import cz.zweistein.gw.predictor.controller.XTHRemote;

public class Players {
	private static Logger logger = Logger.getLogger(Players.class);
	
	private List<Player> players;
	
	public Players(XTHRemote xth) {
		this.players = xth.getQualifiedPlayers();
	}
	
	public Player gePlayerForName(String playerName) {
		
		for (Player player : this.players) {
			if (player.getName().equalsIgnoreCase(playerName.trim())) {
				return player;
			}
		}
		
		logger.info("Player " + playerName + " not found - either invalid or unqualified");
		return null;
	}

}
